org.springframework.dao

## Class QueryTimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.dao.DataAccessException
          - - org.springframework.dao.TransientDataAccessException
            - - org.springframework.dao.QueryTimeoutException

- All Implemented Interfaces:
    Serializable

      public class QueryTimeoutException
      extends TransientDataAccessException

  Exception to be thrown on a query timeout. This could have different causes depending on the database API in use but most likely thrown after the database interrupts or stops the processing of a query before it has completed.

  This exception can be thrown by user code trapping the native database exception or by exception translation.

  Since:
    3.1
  Author:
    Thomas Risberg
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryTimeoutException(String msg)` Constructor for QueryTimeoutException.
    `QueryTimeoutException(String msg, Throwable cause)` Constructor for QueryTimeoutException.

  - ### Method Summary

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMessage, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryTimeoutException

          public QueryTimeoutException(String msg)

      Constructor for QueryTimeoutException.
      Parameters:
        `msg` - the detail message

    - #### QueryTimeoutException

          public QueryTimeoutException(String msg,
                                       Throwable cause)

      Constructor for QueryTimeoutException.
      Parameters:
        `msg` - the detail message
        `cause` - the root cause from the data access API in use